Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 768609 (CVE-2021-21289) - <dev-ruby/mechanize-2.7.7: command injection vulnerability (CVE-2021-21289)
Summary: <dev-ruby/mechanize-2.7.7: command injection vulnerability (CVE-2021-21289)
Status: RESOLVED FIXED
Alias: CVE-2021-21289
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: https://github.com/sparklemotion/mech...
Whiteboard: B1 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-04 02:48 UTC by John Helmert III
Modified: 2021-07-08 03:41 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III gentoo-dev Security 2021-02-04 02:48:04 UTC
CVE-2021-21289:

Mechanize is an open-source ruby library that makes automated web interaction easy. In Mechanize from version 2.0.0 and before version 2.7.7 there is a command injection vulnerability. Affected versions of mechanize allow for OS commands to be injected using several classes' methods which implicitly use Ruby's Kernel.open method. Exploitation is possible only if untrusted input is used as a local filename and passed to any of these calls: Mechanize::CookieJar#load, Mechanize::CookieJar#save_as, Mechanize#download, Mechanize::Download#save, Mechanize::File#save, and Mechanize::FileResponse#read_body. This is fixed in version 2.7.7.


Please stabilize mechanize-2.7.7.
Comment 1 Hans de Graaff gentoo-dev 2021-02-04 05:56:45 UTC
amd64 stable and cleanup done.
Comment 2 John Helmert III gentoo-dev Security 2021-02-04 14:50:14 UTC
Thanks!
Comment 3 Thomas Deutschmann gentoo-dev Security 2021-05-31 21:53:44 UTC
New GLSA request filed.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2021-07-08 03:41:33 UTC
This issue was resolved and addressed in
 GLSA 202107-17 at https://security.gentoo.org/glsa/202107-17
by GLSA coordinator John Helmert III (ajak).